package com.njcn.system.enums;

import lombok.Getter;

/**
 * @author hongawen
 * @version 1.0.0
 * @date 2021年12月20日 09:56
 */
@Getter
public enum SystemResponseEnum {

    /**
     * 系统模块异常响应码的范围：
     * A00350 ~ A00449
     */
    SYSTEM_COMMON_ERROR("A00350","系统模块异常"),
    DICT_TYPE_NAME_REPEAT("A00351", "字典类型名称重复"),
    DICT_DATA_NAME_REPEAT("A00352", "字典数据名称重复"),
    AREA_CODE_REPEAT("A00353","行政区域编码重复"),
    LOAD_TYPE_EMPTY("A00354","用能负荷数据为空"),
    LINE_MARK_EMPTY("A00355","字典监测点评分等级数据为空")
    ;

    private final String code;

    private final String message;

    SystemResponseEnum(String code, String message) {
        this.code = code;
        this.message = message;
    }
}
